Index: sasmodels/conversion_table.py
===================================================================
--- sasmodels/conversion_table.py	(revision bb584b3946fe8b5a6ab2d1a751f4b80ad63cf1b8)
+++ sasmodels/conversion_table.py	(revision d3e3f756c37280a388d39555db40367e494d7182)
@@ -5,30 +5,9 @@
 names for each parameter in sasmodels.  This is used by :mod:`convert` to
 determine the equivalent parameter set when comparing a sasmodels model to
-the models defined in previous versions of SasView and sasmodels. This is now
-versioned based on the version number of SasView.
-
-When any sasmodels parameter or model name is changed, this must be modified to
-account for that.
-
-Usage:
-<old_Sasview_version> : {
-    <new_model_name> : [
-        <old_model_name> ,
-        {
-            <new_param_name_1> : <old_param_name_1>,
-            ...
-            <new_param_name_n> : <old_param_name_n>
-        }
-    ]
-}
-
-Any future parameter and model name changes can and should be given in this
-table for future compatibility.
+the models defined in SasView 3.1.
 """
 
+
 CONVERSION_TABLE = {
-    (4,0,1) : {},
-    (4,0,0) : {},
-    (3,1,2) : {
     "adsorbed_layer": [
         "Core2ndMomentModel",
@@ -232,5 +211,5 @@
     ],
     "correlation_length": [
-        "CorrLength",
+        "CorrLengthModel",
         {
             "porod_scale": "scale_p",
@@ -239,6 +218,5 @@
             "lorentz_exp": "exponent_l",
             "cor_length": "length_l"
-        },
-        "CorrLengthModel"
+        }
     ],
     "cylinder": [
@@ -321,5 +299,5 @@
     ],
     "fractal_core_shell": [
-        "FractalCoreShell",
+        "FractalCoreShellModel",
         {
             "sld_core": "core_sld",
@@ -331,6 +309,5 @@
             "cor_length": "cor_length",
             "volfraction": "volfraction",
-        },
-        "FractalCoreShellModel"
+        }
     ],
     "fuzzy_sphere": [
@@ -344,5 +321,5 @@
     ],
     "gauss_lorentz_gel": [
-        "GaussLorentzGel",
+        "GaussLorentzGelModel",
         {
             "gauss_scale": "scale_g",
@@ -351,14 +328,12 @@
             "background": "background",
             "lorentz_scale": "scale_l"
-        },
-        "GaussLorentzGelModel"
+        }
     ],
     "gaussian_peak": [
-        "Peak Gauss Model",
+        "PeakGaussModel",
         {
             "peak_pos": "q0",
             "sigma": "B",
-        },
-        "PeakGaussModel",
+        }
     ],
     "gel_fit": [
@@ -368,17 +343,16 @@
             "lorentz_scale": "lScale",
             "guinier_scale": "gScale",
-            "fractal_dim": "FractalExp",
+            "fractal_dim": "scale",
             "cor_length": "zeta",
         }
     ],
     "guinier": [
-        "Guinier",
+        "GuinierModel",
         {
             "rg": "rg"
-        },
-        "GuinierModel",
+        }
     ],
     "guinier_porod": [
-        "GuinierPorod",
+        "GuinierPorodModel",
         {
             "s": "dim",
@@ -387,6 +361,5 @@
             "scale": "scale",
             "background": "background"
-        },
-        "GuinierPorodModel",
+        }
     ],
     "hardsphere": [
@@ -481,5 +454,5 @@
             "d_spacing": "spacing",
             "Caille_parameter": "caille",
-            "Nlayers": "n_plates",
+            "Nlayers": "N_plates",
         }
     ],
@@ -513,9 +486,8 @@
     ],
     "lorentz": [
-        "Lorentz",
+        "LorentzModel",
         {
             "cor_length": "length"
-        },
-        "LorentzModel",
+        }
     ],
     "mass_fractal": [
@@ -538,11 +510,10 @@
     ],
     "mono_gauss_coil": [
-        "Debye",
+        "DebyeModel",
         {
             "rg": "rg",
             "i_zero": "scale",
             "background": "background",
-        },
-        "DebyeModel",
+        }
     ],
     "multilayer_vesicle": [
@@ -551,5 +522,5 @@
             "radius": "core_radius",
             "sld_solvent": "core_sld",
-            "n_pairs": "n_pairs",
+            "n_shells": "n_pairs",
             "thick_shell": "s_thickness",
             "sld": "shell_sld",
@@ -593,10 +564,9 @@
     ],
     "peak_lorentz": [
-        "Peak Lorentz Model",
+        "PeakLorentzModel",
         {
             "peak_pos": "q0",
             "peak_hwhm": "B"
-        },
-        "PeakLorentzModel",
+        }
     ],
     "pearl_necklace": [
@@ -832,5 +802,5 @@
     ],
     "two_lorentzian": [
-        "TwoLorentzian",
+        "TwoLorentzianModel",
         {
             "lorentz_scale_1": "scale_1",
@@ -841,9 +811,8 @@
             "lorentz_length_1": "length_1",
             "background": "background"
-        },
-        "TwoLorentzianModel",
+        }
     ],
     "two_power_law": [
-        "TwoPowerLaw",
+        "TwoPowerLawModel",
         {
             "coefficent_1": "coef_A",
@@ -852,20 +821,10 @@
             "background": "background",
             "crossover": "qc"
-        },
-        "TwoPowerLawModel",
+        }
     ],
     "unified_power_Rg": [
-        "UnifiedPowerRg",
-        dict(((field_new+str(index), field_old+str(index))
-              for field_new, field_old in [("rg", "Rg"),
-                                           ("power", "power"),
-                                           ("G", "G"),
-                                           ("B", "B"),]
-              for index in range(11)),
-             **{
-                   "background": "background",
-                   "scale": "scale",
-               }),
         "UnifiedPowerRgModel",
+        {
+        }
     ],
     "vesicle": [
@@ -876,4 +835,3 @@
         }
     ]
-    }
 }
